TemuCompleteRun
POST
/apps/temu/run/{runId}/complete
const url = 'https://your-store.myciqra.com/apps/temu/run/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/complete';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"failureKind":"example","mallId":"example","message":"example","ordersUpdatedTo":1,"outcome":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-store.myciqra.com/apps/temu/run/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/complete \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "failureKind": "example", "mallId": "example", "message": "example", "ordersUpdatedTo": 1, "outcome": "example" }'Required scope: read_orders — an installation token without it receives 403.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”runId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
failureKind
required
null | string
mallId
required
null | string
message
required
null | string
ordersUpdatedTo
null | integer | string format: int64
outcome
required
string
Examplegenerated
{ "failureKind": "example", "mallId": "example", "message": "example", "ordersUpdatedTo": 1, "outcome": "example"}Responses
Section titled “Responses”No Content
Bad Request
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Conflict